summaryrefslogtreecommitdiff
path: root/stubs
diff options
context:
space:
mode:
Diffstat (limited to 'stubs')
-rwxr-xr-xstubs/build16
-rwxr-xr-xstubs/configure16
-rwxr-xr-xstubs/install25
3 files changed, 57 insertions, 0 deletions
diff --git a/stubs/build b/stubs/build
new file mode 100755
index 0000000..4936f7d
--- /dev/null
+++ b/stubs/build
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+cd build
+
+source "./template"
+
+if [ -n "${cddir}" ]
+then
+ cd "${cddir}"
+else
+ cd "${pkgname}-${version}"
+fi
+
+do_build
diff --git a/stubs/configure b/stubs/configure
new file mode 100755
index 0000000..84ebf11
--- /dev/null
+++ b/stubs/configure
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+cd build
+
+source "./template"
+
+if [ -n "${cddir}" ]
+then
+ cd "${cddir}"
+else
+ cd "${pkgname}-${version}"
+fi
+
+do_configure
diff --git a/stubs/install b/stubs/install
new file mode 100755
index 0000000..92d0040
--- /dev/null
+++ b/stubs/install
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -e
+
+PKGDIR="/compiled/"
+
+mkdir -p "${PKGDIR}"
+
+cd build
+
+source "./template"
+
+if [ -z "${DESTDIR}" ]
+then
+ DESTDIR="${PKGDIR}/${pkgname}-${version}-${build_no}"
+fi
+
+if [ -n "${cddir}" ]
+then
+ cd "${cddir}"
+else
+ cd "${pkgname}-${version}"
+fi
+
+do_install